/* GENERAL STYLES V0.5*/
/*  FONTS ---------------------------- */
/* Urbanist */
@font-face {
    font-family: 'Urbanist', sans-serif;
    src: url('../fonts/Urbanist/Urbanist-VariableFont_wght.ttf') format('truetype');
    font-weight: 200;
    font-style: extralight;
    font-display: swap;
}

@font-face {
    font-family: 'Urbanist';
    src: url('../fonts/Urbanist/Urbanist-VariableFont_wght.ttf') format('truetype');
    font-weight: 300;
    font-style: light;
    font-display: swap;
}

@font-face {
    font-family: 'Urbanist';
    src: url('../fonts/Urbanist/Urbanist-VariableFont_wght.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Urbanist';
    src: url('../fonts/Urbanist/Urbanist-VariableFont_wght.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Urbanist';
    src: url('../fonts/Urbanist/Urbanist-VariableFont_wght.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Urbanist';
    src: url('../fonts/Urbanist/Urbanist-VariableFont_wght.ttf') format('truetype');
    font-weight: 700;
    font-style: bold;
    font-display: swap;
}

@font-face {
    font-family: 'Urbanist';
    src: url('../fonts/Montserrat/Montserrat-VariableFont_wght.ttf') format('truetype');
    font-weight: 800;
    font-style: extrabold;
    font-display: swap;
}


@font-face {
    font-family: 'Urbanist';
    src: url('../fonts/Urbanist/Urbanist-VariableFont_wght.ttf') format('truetype');
    font-weight: 900;
    font-style: black;
    font-display: swap;
}

/* ================================================ */
/*  SECTION COLORS */
/* ================================================ */

:root {
   
    --light-grey: #F3F3F3;
    --medium-grey: #6D6D6D;
    --graphite: #3A3A3A;
    --red: #C51B1D;
    --red-hover: #A01517;
    --black: #000;
    --white: #fff;
}

/* ================================================ */
/*  SECTION GENERAL STYLES */
/* ================================================ */

html {
    scroll-behavior: smooth;
}


body {
    font-family: "Urbanist", sans-serif;
    font-weight: 400;
    color: var(--graphite);
    margin: 0;
    overflow-x: hidden;
    overflow-y: auto;
}

main {
    min-height: calc(80vh - 120px);
}

section {
    position: relative;
    padding: max(5%, 50px) 0;
}

div,
p,
a,
span,
h1,
h2,
h3,
h4,
h5,
h6 {
    box-sizing: border-box;
}

img {
    height: 100%;
    width: auto;
    max-width: 100%;
    object-fit: contain;
}

h1 {
    font-size: 2.5rem;
    color: #fff;
    text-transform: uppercase;
    font-weight: 600;
}

h2 {
    font-weight: 600;
    color: var(--red);
}

h3 {
    font-size: 1.2rem;
    font-weight: 600;
    margin-bottom: 10px;
}

h4 {
    font-size: 1.1rem;
    font-weight: 600;
}

h5 {
    font-size: 1rem;
    font-weight: 600;
}

a {
    text-decoration: none;
    color: inherit;
}

a:hover {
    text-decoration: none;
    color: inherit;
}

ul {
    padding-left: 0;
}

li {
    list-style: none;
}

strong {
    font-weight: 600;
}


.hidden {
    display: none; /* this hidesn content also in Gutenberg */
} 

.content-hidden {
    display: none;
}


.uppercase {
    text-transform: uppercase;
}

.text-white {
    color: #fff;
}

.no-padding {
    padding: 0 !important;
}

.no-margin {
    margin: 0 !important;
}

.no-margin-bottom {
    margin-bottom: 0;
}

.button-center {
    margin: 0 auto;
}

.section-title {
    margin-bottom: 60px;
}

/* Margins ---------------------------- */
.margin-top-xs {
    margin-top: 20px;
}

.margin-top-sm {
    margin-top: 40px;
}

.margin-top-md {
    margin-top: 80px;
}

.margin-top-lg {
    margin-top: 120px;
}

.margin-top-xl {
    margin-top: 160px;
}

.margin-bottom-xs {
    margin-bottom: 20px;
}

.margin-bottom-sm {
    margin-bottom: 40px;
}

.margin-bottom-md {
    margin-bottom: 80px;
}

.margin-bottom-lg {
    margin-bottom: 120px;
}

/* Padding ---------------------------- */
.padding-top-xs {
    padding-top: 20px;
}

.padding-top-sm {
    padding-top: 40px;
}

.padding-top-md {
    padding-top: 80px;
}

.padding-top-lg {
    padding-top: 120px;
}

.padding-top-xl {
    padding-top: 160px;
}

.padding-bottom-xs {
    padding-bottom: 20px;
}

.padding-bottom-sm {
    padding-bottom: 40px;
}

.padding-bottom-md {
    padding-bottom: 80px;
}

.padding-bottom-lg {
    padding-bottom: 120px;
}

.padding-sides-md {
    padding: 0 5%;
}


/* ================================================ */
/* SECTION NAVIGATION */
/* ================================================ */

.navbar-brand-img {
    max-width: 200px;
}

.navbar-collapse {
    justify-content: flex-end;
}

.navbar-nav {
    gap: 25px;

    & a {
        font-weight: 00;
    }
}

.menu-item {
    transition: 0.35s ease-in-out;
    &:hover {
        color: var(--red);
    }
}

.current_page_item  a {
    color: var(--red);
    font-weight: 600;
}

/* ================================================ */
/* SECTION LAYOUT */
/* ================================================ */

.mobile {
    display: none !important;
}

.desktop {
    display: block !important;
}

.container {
    max-width: 1200px;
}

.regular-page {
    & h2 {
        display: inline-block;
        font-size: 1.5rem;
        font-weight: 600;
        color: var(--navy-blue);
        margin-bottom: 10px;
        margin-top: 20px;
    }

    & a {
        text-decoration: underline;
        /* font-weight: 500; */
    }

    & ol {
        padding-left: 2rem;

        &>li {
            list-style-type: unset
        }
    }

    & ul {
        padding-left: 20px;
        margin-bottom: 20px;

        & li {
        
            position: relative;
        }

        & li:before {
            content: "•";
            position: absolute;
            left: -1em;
            font-size: 20px;
            line-height: 1;
        }
    }

    & img {
        margin-top: 15px;
        margin-bottom: 15px;
    }
}



/* ================================================ */
/* SECTION BUTTONS */
/* ================================================ */


.cta {
    display: block;
    padding: 10px 30px;
    border-radius: 25px;
    text-align: center;
    text-transform: uppercase;
    width: fit-content;
    transition: 0.35s ease-in-out;
    transform-origin: center;
    min-width: 230px;
}
.cta-red {
    background: var(--red);
    color: #fff;

    &:hover {
        background: var(--red-hover);
        transform: scaleX(1.05);
        color: #fff;
    }


}

.cta-white {
    background: #fff;
    color: var(--red);

    &:hover {
        color: var(--red);
        transform: scaleX(1.05);
    }
}

.cta-wrapper {
    display: flex;
    justify-content: center;
    margin-top: 40px;
}



/* ================================================ */
/* SECTION COMMON ELEMENTS */
/* ================================================ */


.section-title h2 {
    font-size: 2.5rem;
}

/* ================================================ */
/* SECTION DEFAULT WORDPRESS STYLES */
/* ================================================ */

/* ================================================ */
/* SECTION TABLES */
/* ================================================ */





/* =============================== */
/*  SECTION FOOTER
/* =============================== */


footer {
    position: relative;
    min-height: 200px;
    background: var(--navy-blue);
    color: #fff;
    padding-top: 2%;
    padding-bottom: 2%;

    & h3 {
        font-weight: 700;
        font-size: 1.2rem;
    }

    & p {
        margin-bottom: 0;
    }
}




/* ================================================ */
/* ================================================ */
/* MEDIA QUERIES */
/* ================================================ */
/* ================================================ */


@media (max-width: 992px) {

}

/* Worddpress breakpoint */
@media (max-width: 781px) {

}
@media (max-width: 768px) {

    /* NAV MENU */
    .custom-toggler {
        border: none;
        background: none;
        padding: 10px;
        position: relative;

        &:focus {
            outline: none;
        }
      }
      
      .custom-toggler .line {
        display: block;
        width: 25px;
        height: 2px;
        background: var(--graphite);
        margin: 6px 0;
        transition: all 0.3s ease;
      }
      
      /* ACTIVE STATE (X) */
      .custom-toggler.active .line:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
      }
      
      .custom-toggler.active .line:nth-child(2) {
        opacity: 0;
      }
      
      .custom-toggler.active .line:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
      }
      /* Mobile menu content */

      .navbar-collapse {
        padding-top: 20px;
        padding-bottom: 20px;
        padding-inline: 5%;

        & li {
            text-align: right;
        }
      }
    
  
}

@media (prefers-reduced-motion: reduce) {
    html {
        scroll-behavior: auto;
    }
}